Page MenuHomeFreeBSD

emulators/qemu-user-static{,-devel}: pull in recent syscall fixes/additions
ClosedPublic

Authored by kevans on May 1 2020, 5:33 PM.

Details

Summary
emulators/qemu-user-static{,-devel}: pull in recent syscall fixes/additions

This implements (for -CURRENT hosts):
- __realpathat(2)
- shm_open2(2)
- shm_rename(2)
- close_range(2)
- fcntls for file sealing

Some other improvements:
- Fixed SHM_ANON to actually work under qemu-user-static
- Incorporate @dim's fix for the configure script
- Fixes another possible source of hanging threads

These two ports will not normally be updated simultaneously like this to
the same version; the next qemu-user-static-devel (rebase forward past 3.1)
is still in the preparation stage.  In the meantime, update it to at least
not be older than the production-quality qemu-user-static.

Approved by:	koobs (mentor) or bapt (mentor)
Differential_Revision:	<< this one >>
Test Plan

Q/A:

  • portlint (looks fine.)
  • testport (all amd64: 11.3, 12.1, -CURRENT)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 30848
Build 28566: arc lint + arc unit

Event Timeline

kevans requested review of this revision.May 1 2020, 5:33 PM
koobs requested changes to this revision.Jun 24 2020, 4:26 AM

Missing MFH: <branch|No> <reason> and Approved by:

This revision now requires changes to proceed.Jun 24 2020, 4:26 AM

I've tested these changes and have seen issues with unmapped syscalls fixed allowing me to do poudriere cross builds again.

@kevans is now the maker of his own fortune as of rP542829

I apart from non explicit MFH in commit log message, I otherwise approve

This revision is now accepted and ready to land.Jul 22 2020, 5:55 AM